Subject: slime: Error on startup
From: "Liam Healy" <[email-masked]>
To: "Debian Bug Tracking System" <[email-masked]>
Date: Thu, 28 Feb 2008 16:54:56 -0500

Package: slime
Version: 1:20080223-1
Severity: grave

I have found that the latest version of slime will not start up.  I
posted to the slime mailing list and got this response from Helmut
Eller:

 This seems to be Debian specific.  The missing function
 UNIQUE-DIRECTORY-NAME is now called UNIQUE-DIR-NAME.  Peter Van Eynde
 should probably set *FASL-DIRECTORY* instead of hard-coding the paths.

This is what I get when trying to start slime:

(progn (load "/usr/share/common-lisp/source/slime/swank-loader.lisp"
:verbose t) (funcall (read-from-string "swank-loader:init")) (funcall
(read-from-string "swank:start-server") "/tmp/slime.10300"
:coding-system "iso-latin-1-unix"))

This is SBCL 1.0.14.debian, an implementation of ANSI Common Lisp.
More information about SBCL is available at <http://www.sbcl.org/>.

SBCL is free software, provided as is, with absolutely no warranty.
It is mostly in the public domain; some portions are provided under
BSD-style licenses.  See the CREDITS and COPYING files in the
distribution for more information.
CL-USER(1):
; loading #P"/usr/share/common-lisp/source/slime/swank-loader.lisp"
; in: LAMBDA NIL
;     (SB-INT:NAMED-LAMBDA SWANK-LOADER::BINARY-PATHNAME
;                        (SWANK-LOADER::SRC-PATHNAME SWANK-LOADER::BINARY-DIR)
;                        (DECLARE (IGNORE SWANK-LOADER::BINARY-DIRECTORY))
;                        (BLOCK SWANK-LOADER::BINARY-PATHNAME
;                          (LET ((SWANK-LOADER::CFP #))
;                            (MERGE-PATHNAMES
;                             (MAKE-PATHNAME :DIRECTORY `# :NAME # :TYPE #)
;                             (COMMON-LISP-CONTROLLER:CALCULATE-FASL-ROOT)))))
; ==>
;   #'(SB-INT:NAMED-LAMBDA SWANK-LOADER::BINARY-PATHNAME
;                          (SWANK-LOADER::SRC-PATHNAME SWANK-LOADER::BINARY-DIR)
;                          (DECLARE (IGNORE SWANK-LOADER::BINARY-DIRECTORY))
;                          (BLOCK SWANK-LOADER::BINARY-PATHNAME
;                            (LET ((SWANK-LOADER::CFP #))
;                              (MERGE-PATHNAMES
;                               (MAKE-PATHNAME :DIRECTORY `# :NAME # :TYPE #)
;                               (COMMON-LISP-CONTROLLER:CALCULATE-FASL-ROOT)))))
;
; caught STYLE-WARNING:
;   declaring unknown variable BINARY-DIRECTORY to be ignored
;
; caught STYLE-WARNING:
;   The variable BINARY-DIR is defined but never used.
; in: LAMBDA NIL
;     (SWANK-LOADER::UNIQUE-DIRECTORY-NAME)
;
; caught STYLE-WARNING:
;   undefined function: UNIQUE-DIRECTORY-NAME

;
; caught STYLE-WARNING:
;   This function is undefined:
;     UNIQUE-DIRECTORY-NAME
;
; compilation unit finished
;   caught 4 STYLE-WARNING conditions

debugger invoked on a UNDEFINED-FUNCTION in thread #<THREAD "initial
thread" {10046D2B01}>:
  The function SWANK-LOADER::UNIQUE-DIRECTORY-NAME is undefined.

Type HELP for debugger help, or (SB-EXT:QUIT) to exit from SBCL.

restarts (invokable by number or by possibly-abbreviated name):
  0: [ABORT] Exit debugger, returning to top level.

("bogus stack frame")
0]

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages slime depends on:
ii  cl-swank                    1:20080223-1 Superior LISP Interaction Mode for
ii  emacsen-common              1.4.17       Common facilities for all emacsen

Versions of packages slime recommends:
ii  emacs21 [info-browser]  21.4a+1-5.3      The GNU Emacs editor
ii  emacs22-gtk [info-brows 22.1+1-2.3       The GNU Emacs editor (with GTK use
ii  info [info-browser]     4.11.dfsg.1-4    Standalone GNU Info documentation
ii  konqueror [info-browser 4:3.5.8.dfsg.1-2 KDE's advanced file manager, web b
ii  xemacs21-nomule [info-b 21.4.21-1        highly customizable text editor --

-- no debconf information